Bug 973189 - EWS httpd keeps writing logs to old log file after rotated by logrotate
EWS httpd keeps writing logs to old log file after rotated by logrotate
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Web Server 2
Classification: JBoss
Component: httpd (Show other bugs)
2.0.1
All Linux
unspecified Severity medium
: ---
: 2.0.1
Assigned To: Weinan Li
Libor Fuka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-11 08:48 EDT by Dasharath Masirkar
Modified: 2014-08-08 00:23 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
JBoss Enterprise Web Server httpd does not write logs to new log file after after it is rotated by logrotate. Expected behavior is to write logs to new log file after rotated by logrotate. This occurs because the <filename>httpd.pid</filename> file path is incorrect in <filename>/etc/logrotate.d/httpd</filename> script. This issue is fixed in JBoss Enterprise Web Server 2.0.1. The <filename>httpd.pid</filename> file path is now corrected in <filename>/etc/logrotate.d/httpd</filename> script. JBoss Enterprise Server httpd now writes logs to new log file after rotated by log rotate.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-03 07:58:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
weli: needinfo+


Attachments (Terms of Use)

  None (edit)
Description Dasharath Masirkar 2013-06-11 08:48:20 EDT
Description of problem:

httpd keeps writing logs to old log file after rotated by logrotate utility

Version-Release number of selected component (if applicable):
JBoss EWS 2.0.0


How reproducible:
Always

Steps to Reproduce:
1. Install jboss-ews 2.0 via rpm method e.g. $ yum groupinstall jboss-ews2
2. Navigate to httpd install path and check httpd.pid file location e.g.
$ cd /etc/httpd
$ pwd
/etc/httpd

lrwxrwxrwx  1 root root   19 Jan 23 17:54 run -> ../../var/run/httpd

3. Now check httpd script provided for logrotate utility by ews rmp package

# cat /etc/logrotate.d/httpd 
/var/log/httpd/*log {
    missingok
    notifempty
    sharedscripts
    postrotate
	/bin/kill -HUP `cat /var/run/httpd.pid 2>/dev/null` 2> /dev/null || true
    endscript
}
 
4. To test if logrotation is working properly after configuring, run the below command.

$ logrotate -vf /etc/logrotate.conf

Actual results:
The httpd keeps writing logs to old log file after rotated by logrotate

Expected results:
The httpd should write logs to new log file after rotated by logrotate

Additional info:
The httpd.pid file path is incorrect in /etc/logrotate.d/httpd script. The workaround to this issue is to correct httpd.pid file path to "/var/run/httpd/httpd.pid" instead of "/var/run/httpd.pid"
Comment 2 Mandar Joshi 2013-06-14 03:24:33 EDT
Doc Text added.

@Wei Nan Li,  can you please review the Doc Text content?
Comment 3 Weinan Li 2013-06-14 04:32:57 EDT
Document looks correct. Requested to include this into 2.0.1
Comment 6 Michal Haško 2013-06-26 10:08:39 EDT
VERIFIED on
httpd-2.2.22-23.ep6.el5
httpd-2.2.22-23.ep6.el6
Comment 7 Mandar Joshi 2013-07-01 02:25:18 EDT
Updated the doc text. Bug moved from known issue to fixed.

@lfuka,  can you please review the Doc Text content?
Comment 8 Mandar Joshi 2013-07-01 02:27:42 EDT
removing need info flag

Note You need to log in before you can comment on or make changes to this bug.